swarm:
  security:
    security-domains:
      other:
        classic-authentication:
          login-modules:
            myloginmodule:
              code: org.kie.security.jaas.KieLoginModule
              flag: optional
              # in RHPAM 7.1 this value was deployment.kie-wb-webapp.war, but in master and likely in 7.3 is deployment.business-central-webapp.war
              module: deployment.business-central-webapp.war
  management:
    security-realms:
      ApplicationRealm:
        local-authentication:
          default-user: local
          allowed-users: local
          skip-group-loading: true
        properties-authentication:
          path: config/application-users.properties
          # set this value to true if the passwords in the application-users.properties are in plain text.
          plain-text: false
        properties-authorization:
          path: config/application-roles.properties
datasource:
  management:
    wildfly:
      admin: admin

# this configuration is required to make the users system work well.
org:
  uberfire:
    ext:
      security:
        management:
          wildfly:
            cli:
              user: admin
